﻿using Infragistics.Win.DataVisualization;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            DataTable dt1 = new DataTable();

            dt1.Columns.Add("Date", typeof(DateTime));
            dt1.Columns.Add("Series1", typeof(int));
            dt1.Columns.Add("Series2", typeof(int));

            dt1.Rows.Add(new object[] { new DateTime(2021, 1, 1), 1, 4 });
            dt1.Rows.Add(new object[] { new DateTime(2021, 1, 2), 2, 4 });
            dt1.Rows.Add(new object[] { new DateTime(2021, 1, 6), 3, 2 });
            dt1.Rows.Add(new object[] { new DateTime(2021, 1, 15), 4, 2 });
            dt1.Rows.Add(new object[] { new DateTime(2021, 2, 1), 5, 3 });
            dt1.Rows.Add(new object[] { new DateTime(2021, 2, 3), 4, 4 });


            var yAxis = new NumericYAxis();
            var xAxis = new CategoryXAxis();
            xAxis.DataSource = dt1;
            xAxis.Label = "Date:MM/dd/ss";
            xAxis.Title = "Test";
            yAxis.Title = "Test2";

           // xAxis.FormatLabel += XAxis_FormatLabel;

            var series1 = new StepLineSeries();
            series1.DataSource = dt1;
            series1.ValueMemberPath = "Series1";
            series1.Title = "Series1";
            series1.ShowDefaultTooltip = true;
            series1.XAxis = xAxis;
            series1.YAxis = yAxis;
            
            var series2 = new StepLineSeries();
            series2.DataSource = dt1;
            series2.ValueMemberPath = "Series2";
            series2.Title = "Series2";
            series2.ShowDefaultTooltip = true;
            series2.XAxis = xAxis;
            series2.YAxis = yAxis;

            // var chart = new UltraDataChart();
            this.ultraDataChart1.Axes.Add(xAxis);
            this.ultraDataChart1.Axes.Add(yAxis);
            this.ultraDataChart1.Series.Add(series1);
            this.ultraDataChart1.Series.Add(series2);

        }

        private string XAxis_FormatLabel(AxisLabelInfo info)
        {
            throw new NotImplementedException();
        }
    }

    

}
